Overlap of Close/drop down button on "invalid data source"

2013-10-16 12:23 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee: Larry Shaffer

Category: GUI

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17541

Description

Per screenshot, the Close" and drop-down menu overlap on the "invalid data source" error. Thus whenever I click the drop-down to see

what it's about, it just acts as a immediate "close".

History

#1 - 2013-10-16 04:23 PM - Larry Shaffer

- Assignee set to Larry Shaffer

The drop-down menu has one action, 'Close all,' which closes all message bar notification in the message bar 'stack.' The default for the Close tool button

was to show the menu via the QToolButton::DelayedPopup mode, i.e. you have to press and hold on the button to see the menu.

This has been changed in commit commit:65200e3f. Please verify change (fixing this issue), which now separates the menu button and allows it show the

menu on a single click, i.e. uses QToolButton::MenuButtonPopup mode.

#2 - 2014-02-22 02:36 PM - Larry Shaffer

- Status changed from Open to Closed

Believe this is fixed. Reopen if necessary.

#3 - 2014-02-24 05:50 AM - Jonathan Moules

Yep, fixed in 2.2.0. Bonus: It now doesn't come up with just one error.

Many thanks! :-)
http://qt-project.org/doc/qt-4.7/qtoolbutton.html#id-ea09d462-7b9f-43ab-a772-4bbfacea467e

